import os.path
__dir__ = os.path.split(os.path.abspath(os.path.realpath(__file__)))[0]
data_location = os.path.join(__dir__, "system_verilog")
src = "https://github.com/lowRISC/ibex"

# Module version
version_str = "0.0.post2068"
version_tuple = (0, 0, 2068)
try:
    from packaging.version import Version as V
    pversion = V("0.0.post2068")
except ImportError:
    pass

# Data version info
data_version_str = "0.0.post1977"
data_version_tuple = (0, 0, 1977)
try:
    from packaging.version import Version as V
    pdata_version = V("0.0.post1977")
except ImportError:
    pass
data_git_hash = "eaa7bb6eb445ba297da3260cb4975da1c601280d"
data_git_describe = "v0.0-1977-geaa7bb6e"
data_git_msg = """\
commit eaa7bb6eb445ba297da3260cb4975da1c601280d
Author: Udi Jonnalagadda <udij@google.com>
Date:   Mon Mar 1 14:23:36 2021 -0800

    [dv/ibex] update how coverage is merged
    
    Currently, the `cov` step in the DV Makefile will only merge coverage
    databases emitted directly from Ibex simulations, and will not pick up
    any coverage databases generated by the RISCV-DV functional coverage
    flow.
    
    This PR updates the `gen_cov()` function in `sim.py` to recursively
    search for any generated coverage directories and then merges them all.
    
    Resultant coverage reports include all code coverage, Ibex functional
    coverage, and RISCV-DV functional coverage.
    
    The coverage-related targets in the Makefile have also been renamed to
    improve clarity.
    
    Signed-off-by: Udi Jonnalagadda <udij@google.com>

"""

# Tool version info
tool_version_str = "0.0.post91"
tool_version_tuple = (0, 0, 91)
try:
    from packaging.version import Version as V
    ptool_version = V("0.0.post91")
except ImportError:
    pass


def data_file(f):
    """Get absolute path for file inside pythondata_cpu_ibex."""
    fn = os.path.join(data_location, f)
    fn = os.path.abspath(fn)
    if not os.path.exists(fn):
        raise IOError("File {f} doesn't exist in pythondata_cpu_ibex".format(f))
    return fn
